import * as APIGateway from '@aws-sdk/client-api-gateway';
export interface IAPIGatewayHelper {
    CreateApiKeyAsync(name: string, description: string, value?: string): Promise<APIGateway.ApiKey>;
    CreateUsagePlanAsync(name: string, description: string, apiStages: APIGateway.ApiStage[], quota?: APIGateway.QuotaSettings, throttle?: APIGateway.ThrottleSettings): Promise<APIGateway.UsagePlan>;
    CreateUsagePlanKeyAsync(keyId: string, keyType: string, usagePlanId: string): Promise<APIGateway.UsagePlanKey>;
    DeleteApiKeyAsync(apiKey: string): Promise<object>;
    DeleteUsagePlanAsync(usagePlanId: string): Promise<object>;
    DeleteUsagePlanKeyAsync(keyId: string, usagePlanId: string): Promise<object>;
    GetApiKeyAsync(apiKey: string): Promise<APIGateway.ApiKey>;
}
